#ifndef FRICTION_WRITER_HH
#define FRICTION_WRITER_HH

#include <fstream>

#include <dune/tectonic/frictiondata.hh>

template <class BitVector> class FrictionWriter {
public:
  FrictionWriter(FrictionData const &_fd, BitVector const &_boundaryNodes);

  ~FrictionWriter();

  template <class ScalarVector, class Vector>
  void writeInfo(ScalarVector const &alpha, Vector const &u, Vector const &v);

private:
  std::fstream coefficientWriter;
  std::fstream displacementWriter;
  std::fstream stateWriter;
  std::fstream velocityWriter;
  FrictionData const &fd;
  BitVector const &boundaryNodes;
};
#endif
