#ifndef VTK_HH
#define VTK_HH

template <class VertexBasis, class CellBasis> class MyVTKWriter {
  CellBasis const &cellBasis;
  VertexBasis const &vertexBasis;
  std::string const prefix;

  size_t counter;

public:
  MyVTKWriter(CellBasis const &cellBasis, VertexBasis const &vertexBasis,
              std::string prefix);

  template <class Vector, class ScalarVector>
  void write(Vector const &u, Vector const &v, ScalarVector const &alpha,
             ScalarVector const &stress);
};

#endif
